Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.params
Interface Parameters

All Known Implementing Classes:
  SimpleParameters

    public interface Parameters

Parameters interface for FreePastry Usually acquired by calling environment.getParameters().

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Method Summary
`void` | `addChangeListener(ParameterChangeListener p)` Adds the specified Change listener to receive Change events from this component.
`boolean` | `contains(java.lang.String name)` DESCRIBE THE METHOD
`boolean` | `getBoolean(java.lang.String paramName)` Gets the Boolean attribute of the Parameters object
`double` | `getDouble(java.lang.String paramName)` Gets the Double attribute of the Parameters object
`float` | `getFloat(java.lang.String paramName)` Gets the Float attribute of the Parameters object
`java.net.InetAddress` | `getInetAddress(java.lang.String paramName)` String format is dnsname ex: "computer.school.edu"
`java.net.InetSocketAddress` | `getInetSocketAddress(java.lang.String paramName)` String format is name:port ex: "computer.school.edu:1984"
`java.net.InetSocketAddress[]` | `getInetSocketAddressArray(java.lang.String paramName)` String format is comma seperated.
`int` | `getInt(java.lang.String paramName)` Gets the Int attribute of the Parameters object
`long` | `getLong(java.lang.String paramName)` Gets the Long attribute of the Parameters object
`java.lang.String` | `getString(java.lang.String paramName)` Gets the String attribute of the Parameters object
`java.lang.String[]` | `getStringArray(java.lang.String paramName)` Gets the StringArray attribute of the Parameters object
`void` | `remove(java.lang.String name)` DESCRIBE THE METHOD
`void` | `removeChangeListener(ParameterChangeListener p)` Removes the specified Change listener so that it no longer receives Change events from this component.
`void` | `setBoolean(java.lang.String paramName, boolean val)` Sets the Boolean attribute of the Parameters object
`void` | `setDouble(java.lang.String paramName, double val)` Sets the Double attribute of the Parameters object
`void` | `setFloat(java.lang.String paramName, float val)` Sets the Float attribute of the Parameters object
`void` | `setInetAddress(java.lang.String paramName, java.net.InetAddress val)` Sets the InetAddress attribute of the Parameters object
`void` | `setInetSocketAddress(java.lang.String paramName, java.net.InetSocketAddress val)` Sets the InetSocketAddress attribute of the Parameters object
`void` | `setInetSocketAddressArray(java.lang.String paramName, java.net.InetSocketAddress[] val)` Sets the InetSocketAddressArray attribute of the Parameters object
`void` | `setInt(java.lang.String paramName, int val)` Sets the Int attribute of the Parameters object
`void` | `setLong(java.lang.String paramName, long val)` Sets the Long attribute of the Parameters object
`void` | `setString(java.lang.String paramName, java.lang.String val)` Sets the String attribute of the Parameters object
`void` | `setStringArray(java.lang.String paramName, java.lang.String[] val)` Sets the StringArray attribute of the Parameters object
`void` | `store()` DESCRIBE THE METHOD

Method Detail

### remove

    void remove(java.lang.String name)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER

### contains

    boolean contains(java.lang.String name)

  DESCRIBE THE METHOD

  Parameters:
    `name` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE

### store

    void store()
               throws java.io.IOException

  DESCRIBE THE METHOD

  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### getString

    java.lang.String getString(java.lang.String paramName)

  Gets the String attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The String value

### getStringArray

    java.lang.String[] getStringArray(java.lang.String paramName)

  Gets the StringArray attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The StringArray value

### getInt

    int getInt(java.lang.String paramName)

  Gets the Int attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Int value

### getDouble

    double getDouble(java.lang.String paramName)

  Gets the Double attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Double value

### getFloat

    float getFloat(java.lang.String paramName)

  Gets the Float attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Float value

### getLong

    long getLong(java.lang.String paramName)

  Gets the Long attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Long value

### getBoolean

    boolean getBoolean(java.lang.String paramName)

  Gets the Boolean attribute of the Parameters object

  Parameters:
    `paramName` - DESCRIBE THE PARAMETER
  Returns:
    The Boolean value

### getInetAddress

    java.net.InetAddress getInetAddress(java.lang.String paramName)
                                        throws java.net.UnknownHostException

  String format is dnsname ex: "computer.school.edu"

  Parameters:
    `paramName` -
  Returns:
  Throws:
    `java.net.UnknownHostException`

### getInetSocketAddress

    java.net.InetSocketAddress getInetSocketAddress(java.lang.String paramName)
                                                    throws java.net.UnknownHostException

  String format is name:port ex: "computer.school.edu:1984"

  Parameters:
    `paramName` -
  Returns:
  Throws:
    `java.net.UnknownHostException` - DESCRIBE THE EXCEPTION

### getInetSocketAddressArray

    java.net.InetSocketAddress[] getInetSocketAddressArray(java.lang.String paramName)
                                                           throws java.net.UnknownHostException

  String format is comma seperated. ex: "computer.school.edu:1984,computer2.school.edu:1984,computer.school.edu:1985"

  Parameters:
    `paramName` -
  Returns:
  Throws:
    `java.net.UnknownHostException` - DESCRIBE THE EXCEPTION

### setString

    void setString(java.lang.String paramName,
                   java.lang.String val)

  Sets the String attribute of the Parameters object

  Parameters:
    `paramName` - The new String value
    `val` - The new String value

### setStringArray

    void setStringArray(java.lang.String paramName,
                        java.lang.String[] val)

  Sets the StringArray attribute of the Parameters object

  Parameters:
    `paramName` - The new StringArray value
    `val` - The new StringArray value

### setInt

    void setInt(java.lang.String paramName,
                int val)

  Sets the Int attribute of the Parameters object

  Parameters:
    `paramName` - The new Int value
    `val` - The new Int value

### setDouble

    void setDouble(java.lang.String paramName,
                   double val)

  Sets the Double attribute of the Parameters object

  Parameters:
    `paramName` - The new Double value
    `val` - The new Double value

### setFloat

    void setFloat(java.lang.String paramName,
                  float val)

  Sets the Float attribute of the Parameters object

  Parameters:
    `paramName` - The new Float value
    `val` - The new Float value

### setLong

    void setLong(java.lang.String paramName,
                 long val)

  Sets the Long attribute of the Parameters object

  Parameters:
    `paramName` - The new Long value
    `val` - The new Long value

### setBoolean

    void setBoolean(java.lang.String paramName,
                    boolean val)

  Sets the Boolean attribute of the Parameters object

  Parameters:
    `paramName` - The new Boolean value
    `val` - The new Boolean value

### setInetAddress

    void setInetAddress(java.lang.String paramName,
                        java.net.InetAddress val)

  Sets the InetAddress attribute of the Parameters object

  Parameters:
    `paramName` - The new InetAddress value
    `val` - The new InetAddress value

### setInetSocketAddress

    void setInetSocketAddress(java.lang.String paramName,
                              java.net.InetSocketAddress val)

  Sets the InetSocketAddress attribute of the Parameters object

  Parameters:
    `paramName` - The new InetSocketAddress value
    `val` - The new InetSocketAddress value

### setInetSocketAddressArray

    void setInetSocketAddressArray(java.lang.String paramName,
                                   java.net.InetSocketAddress[] val)

  Sets the InetSocketAddressArray attribute of the Parameters object

  Parameters:
    `paramName` - The new InetSocketAddressArray value
    `val` - The new InetSocketAddressArray value

### addChangeListener

    void addChangeListener(ParameterChangeListener p)

  Adds the specified Change listener to receive Change events from this component. If listener l is null, no exception is thrown and no action is performed.

  Parameters:
    `p` - Contains the ChangeListener for ChangeEvent data.

### removeChangeListener

    void removeChangeListener(ParameterChangeListener p)

  Removes the specified Change listener so that it no longer receives Change events from this component. This method performs no function, nor does it throw an exception, if the listener specified by the argument was not previously added to this component. If listener l is null, no exception is thrown and no action is performed.

  Parameters:
    `p` - Contains the ChangeListener for ChangeEvent data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.